Answer the recorder's question
curl --request POST \
--url https://platform.demosmith.ai/v1/demos/{demo_id}/input-requests/{request_id}/answer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": "482913"
}
'import requests
url = "https://platform.demosmith.ai/v1/demos/{demo_id}/input-requests/{request_id}/answer"
payload = { "value": "482913" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: '482913'})
};
fetch('https://platform.demosmith.ai/v1/demos/{demo_id}/input-requests/{request_id}/answer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"accepted": true,
"demo": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "demo",
"status": "canceled",
"stage": "analyzing",
"progress": {
"percent": 123,
"eta_seconds": 123
},
"queue": {
"position": 123,
"total": 123
},
"title": "<string>",
"url": "<string>",
"task": "<string>",
"language": "<string>",
"input_request": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "confirmation",
"question": "<string>",
"suggestions": [
"<string>"
],
"expires_at": "2023-11-07T05:31:56Z",
"answer_url": "<string>"
},
"video": {
"url": "<string>",
"download_url": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"duration_seconds": 123,
"thumbnail_url": "<string>"
},
"failure": {
"message": "<string>"
},
"app_url": "<string>",
"source": "api",
"metadata": {},
"check_again_in_seconds": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "needs_answers",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "needs_answers",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "needs_answers",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "needs_answers",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "needs_answers",
"message": "<string>",
"details": {}
}
}Demos
Answer the recorder's question
POST
/
demos
/
{demo_id}
/
input-requests
/
{request_id}
/
answer
Answer the recorder's question
curl --request POST \
--url https://platform.demosmith.ai/v1/demos/{demo_id}/input-requests/{request_id}/answer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": "482913"
}
'import requests
url = "https://platform.demosmith.ai/v1/demos/{demo_id}/input-requests/{request_id}/answer"
payload = { "value": "482913" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: '482913'})
};
fetch('https://platform.demosmith.ai/v1/demos/{demo_id}/input-requests/{request_id}/answer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"accepted": true,
"demo": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "demo",
"status": "canceled",
"stage": "analyzing",
"progress": {
"percent": 123,
"eta_seconds": 123
},
"queue": {
"position": 123,
"total": 123
},
"title": "<string>",
"url": "<string>",
"task": "<string>",
"language": "<string>",
"input_request": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "confirmation",
"question": "<string>",
"suggestions": [
"<string>"
],
"expires_at": "2023-11-07T05:31:56Z",
"answer_url": "<string>"
},
"video": {
"url": "<string>",
"download_url": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"duration_seconds": 123,
"thumbnail_url": "<string>"
},
"failure": {
"message": "<string>"
},
"app_url": "<string>",
"source": "api",
"metadata": {},
"check_again_in_seconds": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "needs_answers",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "needs_answers",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "needs_answers",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "needs_answers",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "needs_answers",
"message": "<string>",
"details": {}
}
}
